
#include "Bar.h"

struct _BAR {
    double a ;
    double b ;
    double c ;
} ;

BAR 
CreateBar( void )
{
    BAR bar ;
    bar = (BAR) malloc( sizeof(struct _BAR) ) ;
    if ( bar )
    {
        bar->a = bar->b = bar->c = 0.0 ;
    }
    return bar ;
}

void 
PrintBar( BAR bar )
{
    printf("%f %f %f\n", bar->a, bar->b, bar->c ) ;
}

void 
FreeBar( BAR bar ) 
{
    free( bar ) ;
}

BAR_ENUM 
UpdateBar( BAR bar, double a, double b, double c )
{

    bar->a = a ;
    bar->b = a + b ;
    bar->c = a + b + c ;
    return BarEnumOk ;
}


